"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
function _child_process() {
  const data = require("child_process");
  _child_process = function () {
    return data;
  };
  return data;
}
var _logger = _interopRequireDefault(require("./logger"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const getPID = port => {
  try {
    const results = (0, _child_process().execFileSync)('lsof', [`-i:${port}`, '-P', '-t', '-sTCP:LISTEN'], {
      encoding: 'utf8',
      stdio: ['pipe', 'pipe', 'ignore']
    }).split('\n')[0].trim();
    const pid = Number(results);
    _logger.default.debug(`Pid: ${pid} for port: ${port}`);
    return pid;
  } catch (error) {
    _logger.default.debug(`No pid found for port: ${port}. Error: ${error}`);
    return null;
  }
};
var _default = getPID;
exports.default = _default;

//# sourceMappingURL=getPidFromPort.ts.map