"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logChangePortInstructions = exports.logAlreadyRunningBundler = exports.askForPortChange = void 0;
var _prompt = require("./prompt");
var _logger = _interopRequireDefault(require("./logger"));
function _chalk() {
  const data = _interopRequireDefault(require("chalk"));
  _chalk = function () {
    return data;
  };
  return data;
}
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const askForPortChange = async (port, nextPort) => {
  _logger.default.info(`Metro is already running on port ${_chalk().default.bold(port)} in another project.`);
  return await (0, _prompt.prompt)({
    name: 'change',
    type: 'select',
    message: `Use port ${nextPort} instead?`,
    choices: [{
      title: 'Yes',
      value: true
    }, {
      title: 'No',
      value: false
    }]
  });
};
exports.askForPortChange = askForPortChange;
const logAlreadyRunningBundler = port => {
  _logger.default.info(`Metro Bundler is already for this project on port ${port}.`);
};
exports.logAlreadyRunningBundler = logAlreadyRunningBundler;
const logChangePortInstructions = port => {
  _logger.default.info(`Please close the other packager running on port ${port}, or select another port with "--port".`);
};
exports.logChangePortInstructions = logChangePortInstructions;

//# sourceMappingURL=port.ts.map